Subject: [alpine-devel] [PATCH] testing/device-mapper: new aport

From: Leonardo Arena <[email-masked]>
Date: Thu, 26 Feb 2009 10:41:53 +0100

please review attached patch
leo
From ee9f2d1a496825c48599bb286bb07c7685f88d57 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <[email-masked]>
Date: Thu, 26 Feb 2009 09:38:14 +0000
Subject: [PATCH] testing/device-mapper: new aport

---
 testing/device-mapper/APKBUILD |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100644 testing/device-mapper/APKBUILD

diff --git a/testing/device-mapper/APKBUILD b/testing/device-mapper/APKBUILD
new file mode 100644
index 0000000..aaca680
--- /dev/null
+++ b/testing/device-mapper/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <[email-masked]>
+# Maintainer: Leonardo Arena <[email-masked]>
+pkgname=device-mapper
+pkgver=1.02.28
+pkgrel=0
+pkgdesc="Device mapper ioctl library"
+url="http://sources.redhat.com/pub/dm/"
+license="GPL-2"
+depends="uclibc"
+makedepends=""
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="ftp://sources.redhat.com/pub/dm/$pkgname.$pkgver.tgz"
+
+build() {
+	cd "$srcdir/$pkgname.$pkgver"
+
+	./configure --prefix=/usr \
+	--sysconfdir=/etc \
+	--mandir=/usr/share/man \
+	--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="c9ae0776994a419f9e1ba842164bb626  device-mapper.1.02.28.tgz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Thu, 26 Feb 2009 11:00:52 +0100

> please review attached patch

thanks!

Is this needed? Who/what needs it? 

Doesnt lvm2 provide same functionallity itself?

(iirc arch linux build device-mapper from lvm2 sources so i thought it
was not needed with the separate device-mapper pkg)

> leo

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Thu, 26 Feb 2009 13:47:59 +0100

i need multipath-tools for my iSCSI storage. Need that as dependency as well
as libaio (currently working on).

Thanks!

---

From: Natanael Copa <[email-masked]>
Date: Thu, 26 Feb 2009 14:16:39 +0100

On Thu, 2009-02-26 at 13:47 +0100, Leonardo Arena wrote:
> i need multipath-tools for my iSCSI storage. Need that as dependency
> as well as libaio (currently working on).

wow cool...
I'll commit as is (need to clean up so i can pull cleanly first).

testing is a good place. We need to check so it does not clloide with
lvm2.

Thanks!

-nc

> Thanks!
> 
> On Thu, Feb 26, 2009 at 11:00 AM, Natanael Copa
> <[email-masked]> wrote:

---